5 endpoints

Phone Numbers

Base path: /organizations/:orgId/phone-numbers · Source: backend/src/modules/phone-numbers/phone-numbers.controller.ts

GET/organizations/:orgId/phone-numbers
bearer

Path params

orgIdstring

Query params

wabaIdstring
includeArchivedstring

Ejemplo curl

curl -X GET 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/phone-numbers' \
  -H 'Authorization: Bearer YOUR_TOKEN'
GET/organizations/:orgId/phone-numbers/:id
bearer

Path params

orgIdstring
idstring

Ejemplo curl

curl -X GET 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/phone-numbers/00000000-0000-0000-0000-000000000000' \
  -H 'Authorization: Bearer YOUR_TOKEN'
DELETE/organizations/:orgId/phone-numbers/:id
bearer

Archiva (soft-delete) el número.

Path params

orgIdstring
idstring

Ejemplo curl

curl -X DELETE 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/phone-numbers/00000000-0000-0000-0000-000000000000' \
  -H 'Authorization: Bearer YOUR_TOKEN'
POST/organizations/:orgId/phone-numbers/:id/restore
bearer

Path params

orgIdstring
idstring

Ejemplo curl

curl -X POST 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/phone-numbers/00000000-0000-0000-0000-000000000000/restore' \
  -H 'Authorization: Bearer YOUR_TOKEN'
DELETE/organizations/:orgId/phone-numbers/:id/purge
bearer

HARD delete del número. Bloquea si hay cargos pendientes.

Path params

orgIdstring
idstring

Ejemplo curl

curl -X DELETE 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/phone-numbers/00000000-0000-0000-0000-000000000000/purge' \
  -H 'Authorization: Bearer YOUR_TOKEN'